it-swarm.com.ru

Python Opencv imshow ошибка

Я пытаюсь на пробную версию .. Я строю 

cmake -D CMAKE_BUILD_TYPE = RELEASE -D CMAKE_INSTALL_PREFIX =/usr/local -D WITH_TBB = ON -D BUILD_NEW_PYTHON_SUPPORT = ON -D WITH_V4L = ON -D INSTALL_C_EXAMPLES = ON -D INSTALL_PYTHON_EXAMPLES = ON -D BUILD_EXAMPLES = ON -D WITH_QT = ON -D WITH_GTK = ON -D WITH_OPENGL = ON ..

и если я попробую на python:

импорт cv2

печать (cv2 .версия)

3.2.0

мой полный код: ( https://www.solarianprogrammer.com/2016/09/17/install-opencv-3-with-python-3-on-windows/ )

import cv2
image = cv2.imread("/home/reigin/Pictures/games.jpg")
gray_image = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
cv2.imshow("Over the Clouds", image)
cv2.imshow("Over the Clouds - gray", gray_image)
cv2.waitKey(0)
cv2.destroyAllWindows()

я получил ошибку по этому поводу:

cv2.imshow("Over the Clouds", image)
OpenCV Error: Unspecified error (The function is not implemented. Rebuild the library with Windows, GTK+ 2.x or Carbon support. If you are on Ubuntu or Debian, install libgtk2.0-dev and pkg-config, then re-run cmake or configure script) in cvShowImage, file /io/opencv/modules/highgui/src/window.cpp, line 583
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
cv2.error: /io/opencv/modules/highgui/src/window.cpp:583: error: (-2) The function is not implemented. Rebuild the library with Windows, GTK+ 2.x or Carbon support. If you are on Ubuntu or Debian, install libgtk2.0-dev and pkg-config, then re-run cmake or configure script in function cvShowImage

я установил свой dpk-configure:

[email protected]:~$ echo $PKG_CONFIG_PATH
/usr/local/lib/pkgconfig:/usr/lib/x86_64-linux-gnu/pkgconfig:/usr/lib/pkgconfig

если я сделаю что-то, кроме как показать свое изображение, никаких проблем.

не могу помочь:

ошибка imshow на python в opencv 3.0

http://vinllen.com/solve-error-libgtk2-0-dev-and-pkg-config-when-install-opencv/

http://answers.opencv.org/question/57945/opencv-gui-with-gtk-2-solved/

https://askubuntu.com/questions/210210/pkg-config-path-environment-variable

Спасибо за внимание и помощь ..

6
Budi Mulyo

Возможно, вы используете pip opencv-python, который не поддерживает GTK. Ваши привязки к Python должны исходить из вашей сборки opencv.

Проверьте папку /usr/local/lib/python2.7/site-packages/ и убедитесь, что у вас есть файл cv2.so из вашей компиляции и установки opencv, и что вы не используете пакет из opencv-python в pip в dist-packages.

Смотрите здесь: http://www.pyimagesearch.com/2015/06/22/install-opencv-3-0-and-python-2-7-on-ubuntu/

Вот моя линия Cmake для подготовки к установке:

cmake -D CMAKE_BUILD_TYPE=RELEASE -D CMAKE_INSTALL_PREFIX=/usr/local -D WITH_TBB=ON -D WITH_GTK=ON -D WITH_V4L=ON -D WITH_OPENGL=ON -D WITH_CUBLAS=ON -DWITH_QT=OFF -DCUDA_NVCC_FLAGS="-D_FORCE_INLINES" ..

Обратите внимание, что это предполагает, что вы установили соответствующий libgtk через Sudo apt-get install libgtk2.0-dev.

Вот что CMake должен выплюнуть:

- GUI: 

- QT: НЕТ

- GTK + 2.x: ДА (версия 2.24.30)

- GThread: ДА (версия 2.48.2)

- GtkGlExt: ДА (версия 1.2.0)

- Поддержка OpenGL: ДА (/usr/lib/x86_64-linux-gnu/libGLU.so /usr/lib/x86_64-linux-gnu/libGL.so)

- Поддержка ВТК: ДА (версия 6.2.0)

1
dimroc